Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

Help with DrZharks Mo' Creatures Mod


  • Please log in to reply
5 replies to this topic

#1

Hotdrkid
    Hotdrkid

    Tree Puncher

  • Members
  • 10 posts

Posted 08 September 2012 - 06:47 AM

I've already tried it TWICE & it is just not working for me. PLEASE help me.. i really wanted this mod. Once i followe everything that the video tells me to do. All that comes up is a crash note. Now i can't play my minecraft at all. Please help..! I'm not so good with computers, & hopefully nothing bad can happen to my computer from this happening. I dont know what to do.. Please just help, thank you! This is what it says:


---- Minecraft Crash Report ----
// Surprise! Haha. Well, this is awkward.

Time: 9/8/12 2:38 AM
Description: Unexpected error

java.lang.VerifyError: (class: dc, method: a signature: (Lcd;)V) Incompatible argument to function
at net.minecraft.client.Minecraft.a(Minecraft.java:1871)
at apq.e(SourceFile:142)
at apq.a(SourceFile:116)
at apn.a(SourceFile:64)
at apn.d(SourceFile:112)
at apn.m(SourceFile:100)
at net.minecraft.client.Minecraft.l(Minecraft.java:1482)
at net.minecraft.client.Minecraft.J(Minecraft.java:834)
at net.minecraft.client.Minecraft.run(Minecraft.java:764)
at java.lang.Thread.run(Unknown Source)

Relevant Details:
- Minecraft Version: 1.3.2
- Operating System: Windows 7 (x86) version 6.1
- Java Version: 1.7.0_05, Oracle Corporation
- Java VM Version: Java HotSpotâ„¢ Client VM (mixed mode), Oracle Corporation
- Memory: 389334576 bytes (371 MB) / 519110656 bytes (495 MB) up to 1037959168 bytes (989 MB)
- JVM Flags: 2 total; -Xms512m -Xmx1024m
- FML: FML v3.0.165.344 Minecraft Forge 4.0.0.241 2 mods loaded, 2 mods active
FML [Forge Mod Loader] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
Forge [Minecraft Forge] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
- LWJGL: 2.4.2
- OpenGL: ATI Radeon 3000 Graphics   GL version 3.3.9836 Compatibility Profile Context, ATI Technologies Inc.
- Is Modded: Definitely; 'forge,fml'
- Type: Client
- Texture Pack: Default
- Profiler Position: N/A (disabled)

Register or log in to remove.

#2

dQz3r
    dQz3r

    Iron Miner

  • Members
  • 334 posts

Posted 08 September 2012 - 02:54 PM

Mo' Creatures has not been updated to 1.3.2. That's your problem.

#3

Hotdrkid
    Hotdrkid

    Tree Puncher

  • Members
  • 10 posts

Posted 08 September 2012 - 04:05 PM

View PostdQz3r, on 08 September 2012 - 02:54 PM, said:

Mo' Creatures has not been updated to 1.3.2. That's your problem.

Oh.. damn. But then why do they have it there? & which do i download instead?

#4

dQz3r
    dQz3r

    Iron Miner

  • Members
  • 334 posts

Posted 08 September 2012 - 06:04 PM

I don't know who "they" are.

if you're searching the Mods section and it has (1.2.5) in front of the mod, then its for minecraft version 1.2.5
if it has (1.3.2), then it for minecraft version 1.3.2
some people still run minecraft 1.2.5 ( i still do) for mods that have not been updated.
I also have minecraft 1.3.2
it's common sense which you do not have.
if you want to have different minecraft versions or even profiles try "MultiMC"

#5

Hotdrkid
    Hotdrkid

    Tree Puncher

  • Members
  • 10 posts

Posted 08 September 2012 - 06:21 PM

View PostdQz3r, on 08 September 2012 - 06:04 PM, said:

I don't know who "they" are.

if you're searching the Mods section and it has (1.2.5) in front of the mod, then its for minecraft version 1.2.5
if it has (1.3.2), then it for minecraft version 1.3.2
some people still run minecraft 1.2.5 ( i still do) for mods that have not been updated.
I also have minecraft 1.3.2
it's common sense which you do not have.
if you want to have different minecraft versions or even profiles try "MultiMC"

Thanks that helped a little. Another thingg, when i downgraded my minecraft to 1.2.5 i redid everything and installed the mo' creatures mod but now when i log into minecraft it says "done loading" like it did in the demo. How do i fix that? thanks

#6

dQz3r
    dQz3r

    Iron Miner

  • Members
  • 334 posts

Posted 08 September 2012 - 06:30 PM

did you use the proper forge version for 1.2.5? did you delete the "Meta-Inf"  folder in the jar?
you also need 2 other mods for that. GUI api and CustonMobSpawner

I noticed that the link in mo creatures for forge links to the latest and that is for MC 1.3.2 not 1.2.5
you need to scroll down to the older versions and look for this one:

3.3.7 MC: 1.2.5, Build: 134

I just tried it with Multi MC, downgraded, installed forge, GUI, Custommobspawner, and Mo Creatures and it worked fine.